/**
 * File customizer-controls.js.
 *
 * Theme Customizer controls enhancements for a better user experience.
 */

( function( $ ) {
  /**
   * Run function when customizer is ready.
   */
  wp.customize.bind('ready', function() {
    wp.customize.control('calibration_site_layout', function(control) {
      /**
       * Run function on setting change of control.
       */
      control.setting.bind(function(value) {
        // Get current site layout label
        var site_opt_text = $('#customize-control-calibration_site_layout input:checked').parent().text().trim();
        // Find empty front layout option
        var front_opt = $('#customize-control-calibration_front_layout select option')
          .filter(function() {
            return !this.value || $.trim(this.value).length == 0;
          });
        // Inject site layout label into front layout label
        front_opt.text(front_opt.text().replace(/\(.+\)/, '('+site_opt_text+')'));
      });
    });
  });
} )( jQuery );