<?php
/**
 * The header of the theme
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0" name="viewport">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<header id="header">
		<?php if ( calibration_has_header_image() ) the_custom_header_markup(); ?>
		<div class="brand container">
			<?php the_custom_logo(); ?>
			<a class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
			<?php
			$description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<span class="tagline"><?php echo $description; ?></span>
			<?php endif; ?>
		</div>
		<?php if ( calibration_get_theme_mod( 'calibration_show_menu' ) || is_customize_preview() ) : ?>
			<nav id="nav" class="nav container">
				<?php wp_nav_menu( array( 'theme_location'	=> 'top', 'container' => false ) ); ?>
			</nav>
		<?php endif; ?>
	</header>
	<div id="wrapper">	
		<main id="main">
