<?php
/**
 * Custom Header feature
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */

/*
 * Set up the WordPress core custom header feature.
 */
add_theme_support( 'custom-header', apply_filters( 'calibration_custom_header_args', array(
	'default-image'          => '',
	'width'                  => 1920,
	'height'                 => 480,
	'flex-height'            => true,
	'flex-width'             => true,
	'uploads'                => true,
	'random-default'         => false,
	'header-text'            => false,
	'default-text-color'     => '',
	'wp-head-callback'       => 'calibration_header_style',
	'admin-head-callback'    => '',
	'admin-preview-callback' => '',
) ) );

if ( ! function_exists( 'calibration_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog.
 *
 * @since 1.0.0
 */
function calibration_header_style() {
	$header_text_color = get_header_textcolor();

	if ( get_theme_support( 'custom-header', 'default-text-color' ) === $header_text_color ) :
		return;
	endif; ?>
	<style type="text/css">
	<?php if ( ! display_header_text() ) : ?>
		.logo,
		.tagline {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php else : ?>
		.logo,
		.tagline {
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
	<?php endif; ?>
	</style>
	<?php
}
endif;
