<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */
?>

<section class="no-results not-found page">
	<div class="entry-content">
	<h2><?php esc_html_e( 'Nothing found.', 'calibration' ); ?></h2>
		<?php
		if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
			<p>
				<?php
				printf(
					wp_kses(
						/* translators: %1$s: new post url */
						__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'calibration' ),
						array(
							'a' => array(
								'href' => array(),
							),
						)
					),
					esc_url( admin_url( 'post-new.php' ) )	
				); ?>
			</p>

		<?php 
		elseif ( is_search() ) : ?>

			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'calibration' ); ?></p>
			<?php
				get_search_form();

		else : ?>

			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'calibration' ); ?></p>
			<?php
				get_search_form();

		endif; ?>
	</div>

</section>
