<?php
/**
 * Template part for displaying page content
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_post_thumbnail( is_singular() ? 'large' : 'post-thumbnail' ); ?>
		<?php 
		if ( !is_front_page() || calibration_get_theme_mod( 'calibration_show_front_title' ) || is_customize_preview() ) :
			the_title( '<h1 class="entry-title">', "</h1>\n" ); 
		endif; ?>
	</header>
	<div class="entry-content">
		<?php
		the_content();

		wp_link_pages( array(
			'before'			=> '<div class="page-links">' . esc_html__( 'Pages:', 'calibration' ),
			'after'				=> '</div>',
			'link_before'	=> '<span class="page-link-number">',
			'link_after'	=> '</span>',
		) ); ?>
	</div>
	<?php get_template_part( 'template-parts/entry', 'footer' ); ?>
</article>
