<?php
/**
 * Template part for displaying posts
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
		<?php the_post_thumbnail( is_singular() ? 'large' : 'post-thumbnail' ); ?>

		<?php
		if ( 'post' === get_post_type() ) :
			echo get_the_category_list(); ?>
			<?php	
			calibration_entry_date();
		endif; ?>
		
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif; ?>
	</header>

	<div class="entry-content">
		<?php
		if ( !is_singular() ) :
			switch ( get_theme_mod( 'calibration_show_post_as' ) ) :
				case 'post_excerpt':
					the_excerpt();
					break;
				case 'post_title':
					break;
				default:
					the_content( sprintf( wp_kses( 
						/* translators: %s: Name of current post. Only visible to screen readers */ 
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'calibration' ), array('span' => array( 'class' => array() ) ) ), get_the_title() ) );
			endswitch;
		else :
			the_content();
		endif;

		if ( is_singular() ) :
			wp_link_pages( array(
				'before'			=> '<div class="page-links">' . esc_html__( 'Pages:', 'calibration' ),
				'after'				=> '</div>',
				'link_before'	=> '<span class="page-link-number">',
				'link_after'	=> '</span>'
			) );
		endif;
		?>
	</div>
	<?php 
	if ( is_singular() ) :
		get_template_part( 'template-parts/entry', 'footer' );
	endif; ?>
</article>
