<?php
/**
 * The template for displaying page or single post as gallery
 *
 * Template Name: Gallery
 * Template Post Type: page, post
 *
 * @package Calibration
 * @since 1.0.0
 * @version 1.0.0
 */

get_header(); ?>

<?php
while ( have_posts() ) : the_post();

	get_template_part( 'template-parts/content', 'gallery' );

	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;

	if ( is_singular( 'post' ) ) :
		the_post_navigation( array(
			'prev_text' => '<span class="screen-reader-text">' . __( 'Previous Post', 'calibration' ) . '</span><span aria-hidden="true" class="nav-label">' . __( 'Previous', 'calibration' ) . '</span> <span class="nav-title">%title</span>',
			'next_text' => '<span class="screen-reader-text">' . __( 'Next Post', 'calibration' ) . '</span><span aria-hidden="true" class="nav-label">' . __( 'Next', 'calibration' ) . '</span> <span class="nav-title">%title</span>'
		) );
	endif;

endwhile; ?>

<?php get_footer();
